
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>经典算法(6) 快速排序 快速搞定 / iVAN</title>

    <meta name="description" content="经典算法(6) 快速排序 快速搞定 快速排序由于排序效率在同为O(N*logN)的几种排序方法中效率较高,因此经常被采用,再加上快速排序 思想----分治法也确实实用,因此很多软件公司的笔试面试,包括像腾讯,微软等知名IT公司都喜欢考这个 ,还有大大小的程序方面的考试如软考,考研中也常常出现快速排序的身影. 总的说来,要直接默写 出快速排序还是有一定难度的,因为本人就自己的理解对快速排序作了下白话解释,希望对大家理解有帮助 ,达到快速排序,快速搞定. 快速排序是C.R.A.Hoare于1962年提出的一种划分交换排序.它采用了 一">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">经典算法(6) 快速排序 快速搞定</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>快速排序由于排序效率在同为O(N*logN)的几种排序方法中效率较高，因此经常被采用，再加上快速排序 思想----分治法也确实实用，因此很多软件公司的笔试面试，包括像腾讯，微软等知名IT公司都喜欢考这个 ，还有大大小的程序方面的考试如软考，考研中也常常出现快速排序的身影。</p>
<p>总的说来，要直接默写 出快速排序还是有一定难度的，因为本人就自己的理解对快速排序作了下白话解释，希望对大家理解有帮助 ，达到快速排序，快速搞定。</p>
<p>快速排序是C.R.A.Hoare于1962年提出的一种划分交换排序。它采用了 一种分治的策略，通常称其为分治法(Divide-and-ConquerMethod)。</p>
<p>该方法的基本思想是：</p>
<p>1 ．先从数列中取出一个数作为基准数。</p>
<p>2．分区过程，将比这个数大的数全放到它的右边，小于或等 于它的数全放到它的左边。</p>
<p>3．再对左右区间重复第二步，直到各区间只有一个数。</p>
<p>虽然快速 排序称为分治法，但分治法这三个字显然无法很好的概括快速排序的全部步骤。因此我的对快速排序作了进 一步的说明：挖坑填数+分治法：</p>
<p>先来看实例吧，定义下面再给出（最好能用自己的话来总结定义， 这样对实现代码会有帮助）。</p>
<p>以一个数组作为示例，取区间第一个数为基准数。</p>
<table>
<tbody>
<tr>
<td>0</td>
<td>1</td>
<td>2</td>
<td>3</td>
<td>4</td>
<td>5</td>
<td>6</td>
<td>7</td>
<td>8</td>
<td>9</td>
</tr>
<tr>
<td>72</td>
<td>6</td>
<td>57</td>
<td>88</td>
<td>60</td>
<td>42</td>
<td>83</td>
<td>73</td>
<td>48</td>
<td>85</td>
</tr>
</tbody>
</table>
<p>初始时，i = 0;  j = 9;   X = a[i] = 72</p>
<p>由于已经将a[0]中的数保存到X中，可以理解成在数组a[0]上挖了个坑，可以将其它数据填充到这 来。</p>
<p>从j开始向前找一个比X小或等于X的数。当j=8，符合条件，将a[8]挖出再填到上一个坑a[0]中。 a[0]=a[8]; i++;  这样一个坑a[0]就被搞定了，但又形成了一个新坑a[8]，这怎么办了？简单，再找 数字来填a[8]这个坑。这次从i开始向后找一个大于X的数，当i=3，符合条件，将a[3]挖出再填到上一个坑中 a[8]=a[3]; j--;</p>
<p>数组变为：</p>
<table>
<tbody>
<tr>
<td>0</td>
<td>1</td>
<td>2</td>
<td>3</td>
<td>4</td>
<td>5</td>
<td>6</td>
<td>7</td>
<td>8</td>
<td>9</td>
</tr>
<tr>
<td>48</td>
<td>6</td>
<td>57</td>
<td>88</td>
<td>60</td>
<td>42</td>
<td>83</td>
<td>73</td>
<td>88</td>
<td>85</td>
</tr>
</tbody>
</table>
<p>i = 3;   j = 7;   X=72</p>
<p>再重复上面 的步骤，先从后向前找，再从前向后找。</p>
<p>从j开始向前找，当j=5，符合条件，将a[5]挖出填到上一个 坑中，a[3] = a[5]; i++;</p>
<p>从i开始向后找，当i=5时，由于i==j退出。</p>
<p>此时，i = j = 5，而 a[5]刚好又是上次挖的坑，因此将X填入a[5]。</p>
<p>数组变为：</p>
<table>
<tbody>
<tr>
<td>0</td>
<td>1</td>
<td>2</td>
<td>3</td>
<td>4</td>
<td>5</td>
<td>6</td>
<td>7</td>
<td>8</td>
<td>9</td>
</tr>
<tr>
<td>48</td>
<td>6</td>
<td>57</td>
<td>42</td>
<td>60</td>
<td>72</td>
<td>83</td>
<td>73</td>
<td>88</td>
<td>85</td>
</tr>
</tbody>
</table>
<p>可以看出a[5]前面的数字都小于它，a[5]后面的数字都大 于它。因此再对a[0…4]和a[6…9]这二个子区间重复上述步骤就可以了。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 08:52:31</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%bf%ab%e9%80%9f/" title="快速">快速</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e4%b8%aa%e6%95%b0/" title="个数">个数</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e7%bb%84/" title="数组">数组</a>, <a href="https://www.iamivan.net/tag/%e6%8e%92%e5%ba%8f/" title="排序">排序</a>, <a href="https://www.iamivan.net/tag/%e5%8c%ba%e9%97%b4/" title="区间">区间</a>, <a href="https://www.iamivan.net/tag/%e5%bf%ab%e9%80%9f%e6%8e%92%e5%ba%8f/" title="快速排序">快速排序</a>, <a href="https://www.iamivan.net/tag/%e5%88%86%e6%b2%bb%e6%b3%95/" title="分治法">分治法</a>, <a href="https://www.iamivan.net/tag/%e8%bd%af%e8%80%83/" title="软考">软考</a>, <a href="https://www.iamivan.net/tag/%e5%88%86%e6%b2%bb%e7%ae%97%e6%b3%95/" title="分治算法">分治算法</a>, <a href="https://www.iamivan.net/tag/%e5%88%86%e6%b2%bb/" title="分治">分治</a>, <a href="https://www.iamivan.net/tag/%e5%88%86%e6%b2%bb%e5%81%87%e5%b8%81/" title="分治假币">分治假币</a>, <a href="https://www.iamivan.net/tag/%e5%88%86%e6%b2%bb%e6%8e%92%e5%ba%8f/" title="分治排序">分治排序</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>经典算法(6) 快速排序 快速搞定的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M62odOM.html" rel="bookmark">怎么用SmartArt快速搞定PPT图片排版</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  怎么用SmartArt快速搞定PPT图片排版         SmartArt是PowerPoint自带的一款插件,或许你没有听过,或许你听过了,但是不会用,本文讲述了使用SmartArt快速搞定PPT图片排版. 首先我们了解一下,这款神器在PPT中的位置,只要点击插入菜单就能在弹出的工具栏中找到SmartArt.打开之后,你会发现他有很多选项,有列表,流程,循环,关系,层次结构,矩阵,凌锥,图片等. 用法一:图片快速排版 这款神器的其中一个作用是,能对图片进行快速排版,只需要几秒钟就能排出			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlRa9qz.html" rel="bookmark">如何快速搞定APP关键词优化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  近年来,依靠超强关键词设置能力冲入大家视野的APP屡见不鲜,前有喜马拉雅&quot;搜什么都有它&quot;的传奇,后有牛股王&quot;搞定热度10000的股票关键词&quot;的佳话,搞得运营小伙伴们一时心猿意马,苦心钻研捷径,希望有朝一日能在关键词上大放异彩.文公子要提醒大家,夯实关键词优化的基础才有可能成就佳话.与其钻研捷径,不如花点时间审查自己的关键词设置是否符合规则.下面我们就来说一说如何用8小时快速搞定一款APP的关键词优化. 一.六大基本原则 1.关键词权重排序:APP Title &			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgKj25M.html" rel="bookmark">如何快速搞定一份看起来还不错的PPT？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  纸面功夫30%.素材收集30%.软件制作20%,今天这篇是阿里巴巴的资深交互设计师@Heidixie 在内部分享的干货,重在帮你摆脱工具,直击PPT「沟通传达」的本质. 新年除了做工作规划,还做了一些个人2016年学习和提升计划,其中,&quot;聚焦&quot;又是工作中项目的关键词,也是个人提升这块的关键词. 所谓厚积而薄发,在我理解,反而是之前要做大量的积累(所谓厚积),而之后更多的是垂直向下深挖打透,在这个基础上,才能够薄发一些可给别人以启迪的东西. 那么我的2016,想要聚焦于[可视化]话题			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7kP9qz.html" rel="bookmark">Word2007文档中快速搞定毕业论文方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				平时积攒的一些office技巧在写论文时可以用上了.但是由于时间已久,很多技巧和方法的来源已经忘记出处了,故未写明原作者的地址和申明转载.见谅. ·1.论文参考文献的添加 以word2007为例,6步搞定: [第一步] 文档中快速搞定毕业论文方法-快速搞定小姨子攻略&quot;&gt; [第二步] 若需要重复引用文献,则进入第三步: [第三步] 插入参考文献之后会发现没有 [ ] , 尾注不用管它,文中我也没有找到好方法,只能一个接一个加!并且会发现尾注中序号是上标,网上我找到2种方法:1.选中序号按快捷			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlBYLnz.html" rel="bookmark">注册表快速搞定被写保护的U盘</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  U盘没有写保护开关,为什么还是被写保护了?该如何解开呢?碰到这种情况的朋友想必都非常着急,因为这样的U盘无法存读取文件,无法删除,甚至连格式化操作都不能用,用各种U盘修复程序都无效.关于U盘被写保护其实是有解决方法的,下面让我们一起来看看如何用注册表快速搞定被写保护的U盘. 一.首先我们应当要查看U盘上面的写保护开关是否打开,该开关与过去使用的软盘原理一样.如果有开关一定要将它打开. 二.查看该U盘的根目录下的文件数目是否以达到最大值,通常格式的应256个.如果没有达到256个继续看下一步.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNEaANb.html" rel="bookmark">酷盘2&period;X有UI版本快速搞定酷盘所有操作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				由于具有文件共享容易.同步速度快,而且支持PC.Android.MAC OS和iPhone等多平台的特点,自2011年酷盘推出以后,笔者就一直使用它来在各设备间同步自己的文件.不过,其时酷盘采用的是类Dropbox无UI设计,其中的某些操作,需要登录到WEB页面才能完成,这无疑给用户的使用带来了不便.而酷盘2.X有UI版本的发布,从根本上解决了这一问题.利用它,我们几乎在一个界面就能搞定所有操作,从而大大地提高工作效率. 1.常用操作,即时完成 安装后,双击桌面上的&quot;酷盘&quot;快捷方式图标			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlB7eRz.html" rel="bookmark">EDAS：快速搞定分布式应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本期分享嘉宾:滨雨 多年IT领域工作经验,先后在华为.阿里基础架构部担任软件工程师.项目经理.目前从事存储.cdn.视频.中间件等技术领域的支持,喜欢新技术,喜欢新挑战,喜欢钻研. 攻城狮:谁又动了我模块接口?谁又改了我模块逻辑??? 运维:有bug!模块之间的调用跟个蜘蛛网一样,我怎么排查! 测试:这么复杂的调用逻辑,我的自动化测试用例咋写?! 架构师:业务上升了,系统要部署到多台服务器才行,这我怎么拆?! 新人入职后:代码太难理解,想shi的心都有了--. 老板:为啥大半年过去了需求还没搞定			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9464gb.html" rel="bookmark">EDAS带你快速搞定分布式应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[EDAS最近更新] 2.13.1 版本:提供对本地方法执行追踪: 支持租户内服务鉴权与授权. 2.13.0 版本:Http流量管理功能上线,提供了对应用运行时线程堆栈和内存分布的查看. 2.12.3 版本:链路分析功能上线全新视觉界面:调用链支持多维查询. 2.12.2 版本:服务监控上线全新视觉界面:PaaS 平台机器接入层架构升级,支持无限水平扩容. 背景: 攻城狮:谁又动了我模块接口?谁又改了我模块逻辑??? 运维:有bug!模块之间的调用跟个蜘蛛网一样,我怎么排查! 测试:这么复杂的调			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z40qjJz.html" rel="bookmark">从航空母舰上起飞，是怎样一种体验----EDAS带你快速搞定分布式应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[EDAS最近更新] 2.13.1 版本:提供对本地方法执行追踪: 支持租户内服务鉴权与授权. 2.13.0 版本:Http流量管理功能上线,提供了对应用运行时线程堆栈和内存分布的查看. 2.12.3 版本:链路分析功能上线全新视觉界面:调用链支持多维查询. 2.12.2 版本:服务监控上线全新视觉界面:PaaS 平台机器接入层架构升级,支持无限水平扩容. 背景: 攻城狮:谁又动了我模块接口?谁又改了我模块逻辑??? 运维:有bug!模块之间的调用跟个蜘蛛网一样,我怎么排查! 测试:这么复杂的调			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqAk3M.html" rel="bookmark" class="title">收藏夹的网址保存在哪个文件夹里？</a>
					<div>
						  收藏夹怎么删除? 首先打开浏览器,然后在左上角可以看到[收藏夹],点击打开就可以看到浏览器中已经收藏的网址了,之后在需要删除的网址名称上点击鼠标右键,再弹出的选项中,点击删除即可,如下图所示. 如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlK8Rb.html" rel="bookmark" class="title">模拟器 pc 通讯-android模拟器与pc服务器通讯</a>
					<div>
						问题描述 android模拟器与pc服务器通讯 我现在做的可以实现模拟器和pc通讯,但是pc只能被动的接受信息然后在返回信息.那我要如何做才可以实现pc可以主动的发送消息给模拟器呢? 解决方案 通过s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnLdob.html" rel="bookmark" class="title">拨号服务器维护</a>
					<div>
						拨号服务器的维护和管理是关乎服务器端和客户端.涉及软件与硬件的较繁杂的工作.它要求管理员多实践,且善于归纳和总结,只有这样,才能形成一套自已的行之有效的管理经验和方法. 一.检查物理线路 当客户端无法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9Lqgb.html" rel="bookmark" class="title">as3&period;0中的Tween类&vert;flash缓冲效果讲解</a>
					<div>
						最近做的东西,对于效果编程比较多,特别是缓冲,加速度等效果,特意研究了一下Tween类,写篇教程分享 给大家,算是过年送给大家的新年礼物! 下面是官方写的fl.transitions.Tween类:可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLaZ2b.html" rel="bookmark" class="title">AspxTreeList数据绑定以及模板和外观定制的运用</a>
					<div>
						如何实现DevExpress开发控件中的AspxTreeList的数据绑定,以及模板运用和外观自定义.为说明这个问题,我们先看下面这幅图. 了解这幅图后,我们提出这么一些问题: 一.如何绑定数据,显示 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgK8E6M.html" rel="bookmark" class="title">通用PE工具箱制作方法</a>
					<div>
						方法一.安装到本系统 此方法是将通用PE工具箱安装到本系统中,重启电脑后,在电脑选择界面会出现&quot;通用PE工具箱&quot;选项,通过此选项即可进入WINPE系统. 一.准备 1.通用PE工具 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXWm7p.html" rel="bookmark" class="title">jquery 插件实现多行文本框&lbrack;textarea&rsqb;自动高度</a>
					<div>
						 这篇文章主要介绍了jquery 插件实现多行文本框[textarea]自动高度,需要的朋友可以参考下     实现功能: 1/当textarea换行时自动增加一行高度 2/当textarea删除一行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN187Jb.html" rel="bookmark" class="title">SqlServer 常用内置函数及用法</a>
					<div>
						  SqlServer 常用内置函数及用法 select cast('2012/02/03' as datetime); select convert(varchar(10),GETDATE(),12 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXwKGp.html" rel="bookmark" class="title">在Word中制作空心字教程</a>
					<div>
						  话不多说,请看具体操作步骤:具体操作步骤: 1.在工具栏中,选择&quot;单行文字&quot;.如果没有,请将绘图工具栏调出. 2.用鼠标拉出一个框. 3.在框中输入文字,这里输入一个&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8Kdvp.html" rel="bookmark" class="title">如何设置win8让网盘更好用？</a>
					<div>
						  Windows 8内置Skydrive网盘,但安装了Windows 8和Office 2013之后,也许你会发现Skydrive Pro 2013右键菜单无法使用,Skydrive也无法通过右键方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oDxNb.html" rel="bookmark" class="title">怎么判断鼠标好坏</a>
					<div>
						  现在可以在市场上见到的鼠标主要是光电式鼠标和机械式鼠标,而大家普遍使用的都是机械式的鼠标,不过光电鼠标取代机械鼠标势在必行,所以这里就不再多说,因为对于机械鼠标而言,其精准度的提高范围很有限.所以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYldoM.html" rel="bookmark" class="title">java数据结构实现顺序表示例&lowbar;java</a>
					<div>
						复制代码 代码如下: import java.util.Arrays;/** * 顺序线性表的实现 */public class LineList&lt;E&gt;{  private int siz ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvr78WM.html" rel="bookmark" class="title">php-PHP中怎样实现当鼠标放在图片上时，图片放大的效果</a>
					<div>
						问题描述 PHP中怎样实现当鼠标放在图片上时,图片放大的效果 我没有开发PHP的经验,现在遇到一个用PHP开发的网站,要求我把网站首页的图片效果修改成当鼠标经过时,图片放大的效果 解决方案 js控制, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7y93z.html" rel="bookmark" class="title">浏览器扩展系列&mdash;&mdash;&mdash;&mdash;透明浏览器窗口的实现</a>
					<div>
						原文:浏览器扩展系列----透明浏览器窗口的实现 首先先看一下效果图:     本实现是基于WPF,VS版本2008 SP1.     先说一下在Winform中的实现方法:很简单通过设置窗体的opa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqA5rOM.html" rel="bookmark" class="title">关于android actionbar的问题，菜鸟无法引入，求大神帮忙</a>
					<div>
						问题描述 关于android actionbar的问题,菜鸟无法引入,求大神帮忙 用的android studio2.0 ,MainActivity如下 import android.app.Acti ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7BKoz.html" rel="bookmark" class="title">link环境下如何将结果按照条件分类放在treeviw下，谢谢！</a>
					<div>
						问题描述 link环境下如何将结果按照条件分类放在treeviw下,谢谢! link环境下如何将结果按照条件分类放在treeviw下,谢谢!					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2rNeb.html" rel="bookmark" class="title">iOS第三方类库JSPatch（热更新）</a>
					<div>
						---------------------------------------------------------------------------------------------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamWDgb.html" rel="bookmark" class="title">jQuery控制回车使表单内控件获得焦点</a>
					<div>
						 &lt;script type=&quot;text/javascript&quot; src=&quot;jquery-1.4.4.min.js&quot;&gt;&lt;/script&gt;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRRZ9b.html" rel="bookmark" class="title">uitabbar-swift改变其他vc中的uiview的位置</a>
					<div>
						问题描述 swift改变其他vc中的uiview的位置 现rootvc是tabbarcontroller, tabbaritem共有3个. tabbar的显示样式是通过uiview模拟美化过的,当前选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqRjjz.html" rel="bookmark" class="title">Android自定义RadioGroup实现单选完整示例</a>
					<div>
						MainActivity如下: [java] view plaincopy package cc.testradiogroup;      import android.os.Bundle;   im ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKlWdb.html" rel="bookmark" class="title">select下拉框里面的值有很多个</a>
					<div>
						问题描述 select下拉框里面的值有很多个 如果select下拉框里有很多个值怎么用数组来装,总不能下n多个option吧,而且我还想拿到每个值得value,请问怎么实现 解决方案 机器人给出的第二 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB10D9z.html" rel="bookmark" class="title">谈谈MongoDB的三层操作</a>
					<div>
						NOSQL近来势头不错,MongoDB更是其中的娇娇者,自己学NoSQL的时候也是参考了大量的资料,最终决定要从MongoDB入手的,最重要的原因有两点:1自己是简单的爱好者,一切问题我都在想是否有简 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZg1mOb.html" rel="bookmark" class="title">苗启广：猴脸识别如何分辨真假&OpenCurlyDoubleQuote;美猴王&rdquo;？</a>
					<div>
						听过人脸识别,但是你听过猴脸识别么?研究猴脸识别能干吗?难不成分辨真假美猴王?我们知道猴子和人类都属于灵长类动物,那可否用人脸识别的方法去识别猴子?然而,猴子生长在野外,且天生好动,又该如何获取猴子的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRvBxb.html" rel="bookmark" class="title">jQuery学习笔记之jQuery的DOM操作&lowbar;jquery</a>
					<div>
						一.节点的操作 1.查找节点: var $var_1=$(&quot;htmltype&quot;);   //这句话就是获取所有htmltype节点 如:var $ul_1=$(&quot;ul&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEEg2M.html" rel="bookmark" class="title">后台开发：核心技术与应用实践1&period;6&period;2&Tab;结构体、共用体在内存单元占用字节数的计算</a>
					<div>
						1.6.2 结构体.共用体在内存单元占用字节数的计算 一般64位机器上各个数据类型所占的存储空间如下所述. (1)char:8bit=1byte. (2)short:16bit=2byte. (3)i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLglZ0M.html" rel="bookmark" class="title">当代经理人：变与不变的生存智慧</a>
					<div>
						&quot;做企业要遵循变与不变的哲学,这个世界永恒的是变化,企业在产品与技术上要不断创新.不断变化.但是有一点不能变,就是你的主业,在这一点上要非常坚持&quot; 文/本刊记者 苏庆华 &quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jQldp.html" rel="bookmark" class="title">AngelShell：让所有正向程序实现反向连接（应用篇）&lowbar;漏洞研究</a>
					<div>
						现在的服务器几乎全是放在硬件防火墙后的,好不容易渗透进去,结果却发现装有硬件防火墙,扫兴啊!什么终端服务.什么Radmin之类的控方式想都不要想.试了试,发现几乎都支持反向连接,正向连接只能连接80和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QKmWp.html" rel="bookmark" class="title">DevExpress ASP&period;NET 使用经验谈（1）-XPO模型的创建</a>
					<div>
						原文:DevExpress ASP.NET 使用经验谈(1)-XPO模型的创建 这个系列通过一些简单例子循序渐进,介绍DevExpress ASP.NET控件的使用.先来介绍一下XPO的使用,安装的D ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlDLlp.html" rel="bookmark" class="title">揭秘中国互联网潜规则</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 中国就是人怕出名猪怕壮啊,正所谓是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVdwnVM.html" rel="bookmark" class="title">走走路就能领红包&quest;</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 马上点击试手气:http://d. ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
